<#ibiztemplate>
TARGET=PSSUBSYSSERVICEAPIDE
</#ibiztemplate>
package ${pub.getPKGCodeName()}.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import ${pub.getPKGCodeName()}.core.client.model.I${item.codeName};
import ${pub.getPKGCodeName()}.util.SearchContext;

/**
 * 实体[${item.codeName}] 服务对象接口
 */
public interface I${item.codeName}ClientService{

    public I${item.codeName} createModel() ;

<#if item.getPSSubSysServiceAPIDEMethods()??>
    <#list item.getPSSubSysServiceAPIDEMethods() as apiMethod>
        <#assign req_param_type=(apiMethod.getRequestParamType()!'')>
        <#assign req_param=(apiMethod.getRequestField()!'')>
        <#assign retval_type=(apiMethod.getRetvalType())!''>
        <#assign return_type='void'>
        <#if return_type?? && return_type!='' && retval_type !='VOID' && retval_type='ENTITY' ><#comment>由于无法获取到返回值类型，暂时通过请求参数类型确定返回值类型</#comment>
            <#assign return_type=item.codeName>
        </#if>
        <#if apiMethod.getActionType()=='DEACTION'><#comment>实体行为</#comment>
        <#--  public ${return_type} ${srfmethodname(apiMethod.getCodeName())}(<#if req_param_type?? && req_param_type=='ENTITY'><#if apiMethod.getPSDEName()??>${apiMethod.getPSDEName()} entity</#if></#if>);  -->
    <#--  public <#if apiMethod.getReturnValueType()??><#if apiMethod.getReturnValueType()=='VOID'>void<#elseif apiMethod.getReturnValueType()=='ENTITY'>I${item.codeName}<#else>void</#if><#else>void</#if> ${apiMethod.getCodeName()?uncap_first}(<#if apiMethod.getRequestParamType()??><#if apiMethod.getRequestParamType()=='FIELD'>${srfjavatype(item.getKeyDEField().stdDataType)} ${apiMethod.getRequestField()?lower_case}<#elseif apiMethod.getRequestParamType()=='ENTITY'>I${item.codeName} ${item.codeName?lower_case}<#else></#if><#else></#if>);  -->
    <#if apiMethod.getCodeName()=="CreateBatch" || apiMethod.getCodeName()=="UpdateBatch" || apiMethod.getCodeName()=="RemoveBatch" >
    public void ${apiMethod.getCodeName()?uncap_first}(List<I${item.codeName}> ${srfpluralize(item.codeName?lower_case)});
    <#else>
    public void ${apiMethod.getCodeName()?uncap_first}(I${item.codeName} ${item.codeName?lower_case});
    </#if>
        <#elseif apiMethod.getActionType()=='SELECT'><#comment>简单查询</#comment>
        <#--  public List<${item.codeName}> ${srfmethodname(apiMethod.getCodeName())}(<#if req_param_type?? && req_param_type=='ENTITY'><#if apiMethod.getPSDEName()??>${apiMethod.getPSDEName()} entity</#if></#if>);  -->
    public Page<I${item.codeName}> ${apiMethod.getCodeName()?uncap_first}(SearchContext context);
        <#elseif apiMethod.getActionType()=='FETCH'><#comment>数据集合</#comment>
    public Page<I${item.codeName}> ${apiMethod.getCodeName()?uncap_first}(SearchContext context);
        <#elseif apiMethod.getActionType()=='USER'><#comment>用户自定义</#comment>
    public void ${apiMethod.getCodeName()?uncap_first}();
        </#if>

    </#list>
</#if>
}
