<#ibiztemplate>
TARGET=PSDATAENTITY
</#ibiztemplate>
<#if de.getStorageMode()!=0 || de.getStorageMode()!=4 >
package ${pub.getPKGCodeName()}.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import ${pub.getPKGCodeName()}.core.repository.po.${de.getCodeName()};
import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.filter.${de.getCodeName()}SearchContext;

/**
 * 实体 [${item.getLogicName()}] 存储对象
 */
public interface ${item.codeName}Repository extends Repository<${item.codeName}> {
    
<#if de.getAllPSDEDataSets()??>
    <#list de.getAllPSDEDataSets() as dedataset>
    /**
	 * 查询集合 [<#if dedataset.getLogicName()??>${dedataset.getLogicName()}<#else>${dedataset.name}</#if>]
	 * @param context
	 * @return
	 */
    Page<${item.codeName}> search${dedataset.getCodeName()?cap_first}(${de.codeName}SearchContext context);

    </#list>
</#if>

    ${de.getCodeName()} convert2PO(${pub.getPKGCodeName()}.core.${item.getPSSystemModule().getCodeName()?lower_case}.domain.${de.getCodeName()} domain , ${de.getCodeName()} po) ;
	
    ${pub.getPKGCodeName()}.core.${item.getPSSystemModule().getCodeName()?lower_case}.domain.${de.getCodeName()} convert2Domain( ${de.getCodeName()} po ,${pub.getPKGCodeName()}.core.${item.getPSSystemModule().getCodeName()?lower_case}.domain.${de.getCodeName()} domain) ;

}
</#if>