<#ibiztemplate>
TARGET=PSDEDBTABLE
</#ibiztemplate>
package ${pub.getPKGCodeName()}.mybatis.${de.getPSSystemModule().getCodeName()?lower_case}.po;

import ${pub.getPKGCodeName()}.core.repository.po.${de.getCodeName()};
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[${de.getCodeName()}] 对象
 */
@TableName(value = "${item.name}",resultMap = "${item.name}ResultMap")
public class ${item.name}Impl implements ${de.getCodeName()},Serializable {

    <#list de.getAllPSDEFields()  as defield>
    <#if defield.isPhisicalDEField()>
        <#if defield.getPSSysDBColumn()??>
            <#if defield.isKeyDEField()==true>
    /**
     * ${defield.getLogicName()}
     */        
    @TableId(value= "${defield.getName()?lower_case}",type=IdType.UUID)//指定主键生成策略
            </#if>
    private ${srfjavatype(defield.stdDataType)} ${defield.codeName?cap_first};

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ${defield.getCodeName()?cap_first}DirtyFlag;

        </#if>
    </#if>
    </#list>
    <#list item.getAllPSDEFields() as defield>
    /**
     * 获取 [${defield.getLogicName()}]
     */
    public ${srfjavatype(defield.getStdDataType())} get${defield.getCodeName()?cap_first}(){
    <#if defield.isPhisicalDEField()>
        <#if defield.getPSSysDBColumn()??>
        return ${defield.getCodeName()?cap_first} ;
        <#else>
        return null ;
        </#if>
    <#else>
        return null ;    
    </#if>    
    }

    /**
     * 设置 [${defield.getLogicName()}]
     */
    public void set${defield.getCodeName()?cap_first}(${srfjavatype(defield.getStdDataType())}  ${defield.getCodeName()?uncap_first}){
    <#if defield.isPhisicalDEField()>
        <#if defield.getPSSysDBColumn()??>
        this.${defield.getCodeName()?cap_first} = ${defield.getCodeName()?uncap_first} ;
        this.${defield.getCodeName()?cap_first}DirtyFlag = true ;
        </#if>
    </#if>
    }
    /**
     * 获取 [${defield.getLogicName()}]脏标记
     */
    @JsonIgnore
    public boolean get${defield.getCodeName()?cap_first}DirtyFlag(){
    <#if defield.isPhisicalDEField()>
        <#if defield.getPSSysDBColumn()??>
        return ${defield.getCodeName()?cap_first}DirtyFlag ;
        <#else>
        return false ;
        </#if>
    <#else>
        return false ;
    </#if>    
    }

    </#list>
}