<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
server:
  port: 9090
spring:
  application:
    name: wfactiviti
  cloud:
    nacos:
      discovery:
        server-addr: 172.16.102.211:8848
  activiti:
    check-process-definitions: false
    database-schema-update: true
    db-history-used: true
    history-level: full
  datasource:
    druid:
      filters: stat
      initial-size: 1
      max-active: 20
      max-pool-prepared-statement-per-connection-size: 20
      max-wait: 60000
      min-evictable-idle-time-millis: 300000
      min-idle: 1
      password: 123456
      pool-prepared-statements: true
      test-on-borrow: false
      test-on-return: false
      test-while-idle: true
      time-between-eviction-runs-millis: 60000
      url: jdbc:mysql://127.0.0.1:3306/activiti?useUnicode=true&characterEncoding=utf-8&useSSL=true&serverTimezone=UTC&nullCatalogMeansCurrent=true
      username: root
      validation-query: SELECT 'x'

logging:
  level:
    ${pub.getPKGCodeName()}: debug
    org.activiti.engine.impl.persistence.entity: trace
  pattern:
    console: "%d{yyyy-MM-dd HH:mm:ss.SSS} %clr(-%5p)  %clr(${r'${PID:- }'}){magenta} --- %clr([%15.15t]){faint} %highlight(%-80.80logger{300}){cyan} %clr(:) %m %n%wEx"


uniwf:
  web:
    tokenUrl:
    clientId:
    clientSecret:
    serviceId: uniwf
    serviceUrl:

