<#ibiztemplate>
TARGET=PSDEDBTABLE
</#ibiztemplate>
package ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.dao;

import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.filter.${de.codeName}SearchContext;
import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.dao.po.I${de.getCodeName()}Table;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[${item.getCodeName()}]DAO对象
 */
public interface I${de.getCodeName()}TableDAO {

    I${de.getCodeName()}Table create${de.getCodeName()?lower_case?cap_first}Table();

<#assign keyfield=de.getKeyPSDEField()>
<#if de.getAllPSDEActions()??>
    <#list de.getAllPSDEActions() as deaction>
        <#--  
        <#if (deaction.getActionType()=='USERCUSTOM' || deaction.getActionType()=='DELOGIC')  && (!deaction.codeName?lower_case?contains("major")) >
    I${de.getCodeName()}Table ${srfmethodname(deaction.getCodeName())}(I${de.getCodeName()}Table et);
        <#elseif deaction.getActionMode() == "READ">
    I${de.getCodeName()}Table ${srfmethodname(deaction.getCodeName())}(${srfjavatype(keyfield.stdDataType)} srfkey);
        <#else>
	boolean ${srfmethodname(deaction.getCodeName())}(I${de.getCodeName()}Table et);
        </#if>  
        -->
        <#if deaction.codeName == 'Get' >
    I${de.getCodeName()}Table ${srfmethodname(deaction.getCodeName())}(${srfjavatype(keyfield.stdDataType)} ${keyfield.getCodeName()?lower_case});

    I${de.getCodeName()}Table ${srfmethodname(deaction.getCodeName())}(I${de.getCodeName()}Table et);

        <#elseif deaction.codeName == 'Create'>
    boolean ${srfmethodname(deaction.getCodeName())}(I${de.getCodeName()}Table et);

        <#elseif deaction.codeName == 'Update'>
    boolean ${srfmethodname(deaction.getCodeName())}(I${de.getCodeName()}Table et);

        <#elseif deaction.codeName == 'Remove'>
    boolean ${srfmethodname(deaction.getCodeName())}(${srfjavatype(keyfield.stdDataType)} ${keyfield.getCodeName()?lower_case});

        </#if>  
    </#list>
</#if>

<#if de.getAllPSDEDataSets()??>
    <#list de.getAllPSDEDataSets() as dedataset>
    List<I${de.getCodeName()}Table> search${dedataset.getCodeName()}(${de.codeName}SearchContext context);
    </#list>
</#if>
}
