<#ibiztemplate>
TARGET=PSDATAENTITY
</#ibiztemplate>
package ${pub.getPKGCodeName()}.core.${item.getPSSystemModule().getCodeName()?lower_case}.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[${item.getLogicName()}]
 */
public class ${item.getCodeName()} implements Serializable {

	private static final long serialVersionUID = 1L;

<#--  实体属性相关  -->
<#if item.getPSDEFields()??>
    <#list item.getPSDEFields() as defield>
    /**
     * ${defield.getLogicName()} 属性
     */
    private ${srfjavatype(defield.getStdDataType())} ${defield.getCodeName()?cap_first};

    @JsonIgnore
    private boolean ${defield.getCodeName()?cap_first}DirtyFlag;

    </#list>

    <#list item.getPSDEFields() as defield>
    /**
     * 获取 [${defield.getLogicName()}]
     */
    public ${srfjavatype(defield.getStdDataType())} get${defield.getCodeName()?cap_first}(){
        return ${defield.getCodeName()?cap_first} ;
    }

    /**
     * 设置 [${defield.getLogicName()}]
     */
    public void set${defield.getCodeName()?cap_first}(${srfjavatype(defield.getStdDataType())}  ${defield.getCodeName()?uncap_first}){
        this.${defield.getCodeName()?cap_first} = ${defield.getCodeName()?uncap_first} ;
        this.${defield.getCodeName()?cap_first}DirtyFlag = true ;
    }

    /**
     * 获取 [${defield.getLogicName()}]脏标记
     */
    @JsonIgnore
    public boolean get${defield.getCodeName()?cap_first}DirtyFlag(){
        return ${defield.getCodeName()?cap_first}DirtyFlag ;
    }
    </#list>
</#if>
}

