<#ibiztemplate>
TARGET=PSDEFVALUERULE
</#ibiztemplate>
<#--<#if ((pub.getUserTag4())!'')=='nancy'>-->
package ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.valuerule.anno.${de.codeName?lower_case};

import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.valuerule.validator.${de.codeName?lower_case}.${de.codeName}${item.getPSDEField().codeName?cap_first}${item.codeName}Validator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * 值规则注解
 * 实体：${de.codeName}
 * 属性：${item.getPSDEField().codeName}
 * 值规则：${item.codeName}
 */
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {${de.codeName}${item.getPSDEField().codeName?cap_first}${item.codeName}Validator.class})
public @interface ${de.codeName}${item.getPSDEField().codeName?cap_first}${item.codeName} {
    //是否默认检查
    boolean flag() default ${item.isCheckDefault()?c};

    //值规则名称
    String info() default "${item.getName()}";

    //值规则信息，如果为空，使用值规则名称。
    <#assign message = item.getName()>
    <#if item.getRuleInfo()??>
        <#assign message = item.getRuleInfo()>
    </#if>
    String message() default "${message}";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
<#--</#if>-->