<#ibiztemplate>
TARGET=PSWFVERSION
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" xmlns:tns="http://www.activiti.org/test" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" expressionLanguage="http://www.w3.org/1999/XPath" id="m1582525263703" name="" targetNamespace="http://www.activiti.org/test" typeLanguage="http://www.w3.org/2001/XMLSchema">
    <process id="${item.getPSWorkflow().codeName?lower_case}.${item.codeName?lower_case}" isClosed="false" isExecutable="true" name="${item.getName()}" processType="None">
            <#comment>绘制处理节点</#comment>
            <#if item.getPSWFProcesses?? && item.getPSWFProcesses()??>
                <#list item.getPSWFProcesses() as WFProcess>
                    <#if WFProcess.getWFProcessType()=='START'>
     <startEvent id="ACTIVITI-${WFProcess.getId()}" name="${WFProcess.getName()}"/>
                    <#elseif WFProcess.getWFProcessType()=='END'>
     <endEvent id="ACTIVITI-${WFProcess.getId()}" name="${WFProcess.getName()}"/>
                    <#else>
     <userTask activiti:assignee="${r'${nextperson}'}" activiti:exclusive="true" id="ACTIVITI-${WFProcess.getId()}" name="${WFProcess.getName()}"/>
                    </#if>
                </#list>
            </#if>
          <#comment>绘制节点连线</#comment>
          <#if item.getPSWFLinks?? && item.getPSWFLinks()??>
              <#list item.getPSWFLinks() as WFLink>
                  <#assign sourceProcessId=WFLink.getFromPSWFProcess().getId()>
                  <#assign targetProcessId=WFLink.getToPSWFProcess().getId()>
     <sequenceFlow id="ACTIVITI-${WFLink.getId()}" sourceRef="ACTIVITI-${sourceProcessId}" targetRef="ACTIVITI-${targetProcessId}">
        <#if WFLink.getPSWFLinkGroupCond?? && WFLink.getPSWFLinkGroupCond()??><#comment>连接线含有条件</#comment>
            <conditionExpression  xsi:type="tFormalExpression" ><![CDATA[

                ]]>
            </conditionExpression>
        </#if>
     </sequenceFlow>
              </#list>
          </#if>
    </process>
</definitions>
